Package: io.vertx.groovy.ext.web.sstore

## [Groovy] Class ClusteredSessionStore

- io.vertx.groovy.ext.web.sstore.ClusteredSessionStore

- A session store which stores sessions in a distributed map so they are available across the cluster.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ClusteredSessionStore (java.lang.Object delegate)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `static ClusteredSessionStore` | `create(Vertx vertx, java.lang.String sessionMapName)` Create a session store
    `static ClusteredSessionStore` | `create(Vertx vertx, java.lang.String sessionMapName, long retryTimeout)` Create a session store.
    `static ClusteredSessionStore` | `create(Vertx vertx)` Create a session store
    `static ClusteredSessionStore` | `create(Vertx vertx, long retryTimeout)` Create a session store.
    `java.lang.Object` | `getDelegate()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class SessionStore` | `clear, close, createSession, delete, get, getDelegate, put, retryTimeout, size`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### ClusteredSessionStore(java.lang.Object delegate)

  - ### Method Detail

    - #### static ClusteredSessionStore create(Vertx vertx, java.lang.String sessionMapName)

      Create a session store

      Returns:
        the session store
      Parameters:
        `vertx` - the Vert.x instance
        `sessionMapName` - the session map name

    - #### static ClusteredSessionStore create(Vertx vertx, java.lang.String sessionMapName, long retryTimeout)

      Create a session store.

      The retry timeout value, configures how long the session handler will retry to get a session from the store when it is not found.
      Returns:
        the session store
      Parameters:
        `vertx` - the Vert.x instance
        `sessionMapName` - the session map name
        `retryTimeout` - the store retry timeout, in ms

    - #### static ClusteredSessionStore create(Vertx vertx)

      Create a session store

      Returns:
        the session store
      Parameters:
        `vertx` - the Vert.x instance

    - #### static ClusteredSessionStore create(Vertx vertx, long retryTimeout)

      Create a session store.

      The retry timeout value, configures how long the session handler will retry to get a session from the store when it is not found.
      Returns:
        the session store
      Parameters:
        `vertx` - the Vert.x instance
        `retryTimeout` - the store retry timeout, in ms

    - #### java.lang.Object getDelegate()